Skip to content
Browse files

Removed #freeze from Shoulda::Context::VERSION to avoid issues in Rub…

…y 1.9

RubyGems tries to call `#strip!` on the version when reading the gemspec.  In
Ruby 1.9, this raises a RuntimeError on frozen strings, even if stripping the
string would have no effect. Ruby 1.8 allows `#strip!` to be called if the
result didn't modify the frozen string.
  • Loading branch information...
1 parent 2c1e286 commit ef0475f55ed365c475e235c82a0a9cef5a7a51b5 @rmm5t rmm5t committed Jan 29, 2011
Showing with 1 addition and 1 deletion.
  1. +1 −1 lib/shoulda/context/version.rb
View
2 lib/shoulda/context/version.rb
@@ -1,5 +1,5 @@
module Shoulda
module Context
- VERSION = '1.0.0.beta1'.freeze
+ VERSION = '1.0.0.beta1'
end
end

0 comments on commit ef0475f

Please sign in to comment.
Something went wrong with that request. Please try again.